diff --git a/gcc/analyzer/constraint-manager.cc b/gcc/analyzer/constraint-manager.cc
index be51e79a4b9..d1e0a02d348 100644
--- a/gcc/analyzer/constraint-manager.cc
+++ b/gcc/analyzer/constraint-manager.cc
@@ -2718,79 +2657,79 @@ test_constraint_impl ()
 
   /* x == y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
 
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, y);
 
     /* Assert various things about the insides of model.  */
-    constraint_manager2 *cm = model.get_constraints2 ();
+    constraint_manager *cm = model.get_constraints ();
     ASSERT_EQ (cm->m_constraints.length (), 0);
     ASSERT_EQ (cm->m_equiv_classes.length (), 1);
   }
 
   /* y <= z; x == y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, EQ_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GE_EXPR, z);
+    region_model_manager mgr;
+    region_model model (&mgr);
+    ASSERT_CONDITION_UNKNOWN (model, x, EQ_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, GE_EXPR, z);
 
     ADD_SAT_CONSTRAINT (model, y, GE_EXPR, z);
-    ASSERT_CONDITION_TRUE2 (model, y, GE_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GE_EXPR, z);
+    ASSERT_CONDITION_TRUE (model, y, GE_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, GE_EXPR, z);
 
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, y);
 
     /* Assert various things about the insides of model.  */
-    constraint_manager2 *cm = model.get_constraints2 ();
+    constraint_manager *cm = model.get_constraints ();
     ASSERT_EQ (cm->m_constraints.length (), 1);
     ASSERT_EQ (cm->m_equiv_classes.length (), 2);
 
     /* Ensure that we merged the constraints.  */
-    ASSERT_CONDITION_TRUE2 (model, x, GE_EXPR, z);
+    ASSERT_CONDITION_TRUE (model, x, GE_EXPR, z);
   }
 
   /* y <= z; y == x.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, EQ_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GE_EXPR, z);
+    region_model_manager mgr;
+    region_model model (&mgr);
+    ASSERT_CONDITION_UNKNOWN (model, x, EQ_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, GE_EXPR, z);
 
     ADD_SAT_CONSTRAINT (model, y, GE_EXPR, z);
-    ASSERT_CONDITION_TRUE2 (model, y, GE_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GE_EXPR, z);
+    ASSERT_CONDITION_TRUE (model, y, GE_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, GE_EXPR, z);
 
     ADD_SAT_CONSTRAINT (model, y, EQ_EXPR, x);
 
     /* Assert various things about the insides of model.  */
-    constraint_manager2 *cm = model.get_constraints2 ();
+    constraint_manager *cm = model.get_constraints ();
     ASSERT_EQ (cm->m_constraints.length (), 1);
     ASSERT_EQ (cm->m_equiv_classes.length (), 2);
 
     /* Ensure that we merged the constraints.  */
-    ASSERT_CONDITION_TRUE2 (model, x, GE_EXPR, z);
+    ASSERT_CONDITION_TRUE (model, x, GE_EXPR, z);
   }
 
   /* x == 0, then x != 42.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
 
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, int_0);
     ADD_SAT_CONSTRAINT (model, x, NE_EXPR, int_42);
 
     /* Assert various things about the insides of model.  */
-    constraint_manager2 *cm = model.get_constraints2 ();
+    constraint_manager *cm = model.get_constraints ();
     ASSERT_EQ (cm->m_constraints.length (), 0);
     ASSERT_EQ (cm->m_equiv_classes.length (), 1);
 #if 0
     ASSERT_EQ (cm->m_constraints[0].m_lhs,
-	       cm->get_or_add_equiv_class2 (model.get_rvalue (int_0, NULL)));
+	       cm->get_or_add_equiv_class (model.get_rvalue (int_0, NULL)));
     ASSERT_EQ (cm->m_constraints[0].m_rhs,
-	       cm->get_or_add_equiv_class2 (model.get_rvalue (int_42, NULL)));
-    ASSERT_EQ (cm->m_constraints[0].m_op, CONSTRAINT2_LT);
+	       cm->get_or_add_equiv_class (model.get_rvalue (int_42, NULL)));
+    ASSERT_EQ (cm->m_constraints[0].m_op, CONSTRAINT_LT);
 #endif
   }
 
@@ -2810,12 +2749,12 @@ test_equality ()
   tree y = build_global_decl ("y", integer_type_node);
 
   {
-    region_model2_manager mgr;
-    region_model2 model0 (&mgr);
-    region_model2 model1 (&mgr);
+    region_model_manager mgr;
+    region_model model0 (&mgr);
+    region_model model1 (&mgr);
 
-    constraint_manager2 *cm0 = model0.get_constraints2 ();
-    constraint_manager2 *cm1 = model1.get_constraints2 ();
+    constraint_manager *cm0 = model0.get_constraints ();
+    constraint_manager *cm1 = model1.get_constraints ();
 
     ASSERT_EQ (cm0->hash (), cm1->hash ());
     ASSERT_EQ (*cm0, *cm1);
@@ -2834,17 +2773,17 @@ test_equality ()
 #endif
     ASSERT_NE (model0, model1);
 
-    region_model2 model2 (&mgr);
-    constraint_manager2 *cm2 = model2.get_constraints2 ();
-    /* Make the same change to cm2.  */
-    ADD_SAT_CONSTRAINT (model2, x, EQ_EXPR, y);
-    ASSERT_EQ (cm1->hash (), cm2->hash ());
-    ASSERT_EQ (*cm1, *cm2);
+    region_model model (&mgr);
+    constraint_manager *cm = model.get_constraints ();
+    /* Make the same change to cm.  */
+    ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, y);
+    ASSERT_EQ (cm1->hash (), cm->hash ());
+    ASSERT_EQ (*cm1, *cm);
 
 #if 0
-    ASSERT_EQ (model1.hash (), model2.hash ());
+    ASSERT_EQ (model1.hash (), model.hash ());
 #endif
-    ASSERT_EQ (model1, model2);
+    ASSERT_EQ (model1, model);
   }
 }
 
@@ -2855,8 +2794,8 @@ test_many_constants ()
 {
   tree a = build_global_decl ("a", integer_type_node);
 
-  region_model2_manager mgr;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  region_model model (&mgr);
   auto_vec<tree> constants;
   for (int i = 0; i < 20; i++)
     {
@@ -2865,10 +2804,10 @@ test_many_constants ()
       ADD_SAT_CONSTRAINT (model, a, NE_EXPR, constant);
 
       /* Merge, and check the result.  */
-      region_model2 other (model);
+      region_model other (model);
 
 #if 0
-      region_model2 merged (&mgr);
+      region_model merged (&mgr);
       ASSERT_TRUE (model.can_merge_with_p (other, &merged));
       model.canonicalize (NULL);
       merged.canonicalize (NULL);
@@ -2876,7 +2815,7 @@ test_many_constants ()
 #endif
 
       for (int j = 0; j <= i; j++)
-	ASSERT_CONDITION_TRUE2 (model, a, NE_EXPR, constants[j]);
+	ASSERT_CONDITION_TRUE (model, a, NE_EXPR, constants[j]);
     }
 }
 
@@ -2891,25 +2830,25 @@ test_redundant_constraints ()
 
   {
     /* i < 257 then i < 256.  */
-    region_model2_manager mgr;
-    region_model2 model0 (&mgr);
+    region_model_manager mgr;
+    region_model model0 (&mgr);
     ADD_SAT_CONSTRAINT (model0, i, LT_EXPR, int_257);
     ADD_SAT_CONSTRAINT (model0, i, LT_EXPR, int_256);
-    ASSERT_CONDITION_TRUE2 (model0, i, LT_EXPR, int_256);
-    ASSERT_CONDITION_TRUE2 (model0, i, LT_EXPR, int_257);
+    ASSERT_CONDITION_TRUE (model0, i, LT_EXPR, int_256);
+    ASSERT_CONDITION_TRUE (model0, i, LT_EXPR, int_257);
     /* The older constraint was made redundant by the newer;
        it should have been removed.  */
-    //ASSERT_EQ (model0.get_constraints2 ()->m_constraints.length (), 1);
-    //ASSERT_EQ (model1.get_constraints2 ()->m_equiv_classes.length (), 2);
+    //ASSERT_EQ (model0.get_constraints ()->m_constraints.length (), 1);
+    //ASSERT_EQ (model1.get_constraints ()->m_equiv_classes.length (), 2);
 
     /* i < 256 then i < 257.  */
-    region_model2 model1 (&mgr);
+    region_model model1 (&mgr);
     ADD_SAT_CONSTRAINT (model1, i, LT_EXPR, int_256);
     ADD_SAT_CONSTRAINT (model1, i, LT_EXPR, int_257);
-    ASSERT_CONDITION_TRUE2 (model1, i, LT_EXPR, int_256);
-    ASSERT_CONDITION_TRUE2 (model1, i, LT_EXPR, int_257);
-    ASSERT_EQ (model1.get_constraints2 ()->m_equiv_classes.length (), 2);
-    ASSERT_EQ (model1.get_constraints2 ()->m_constraints.length (), 1);
+    ASSERT_CONDITION_TRUE (model1, i, LT_EXPR, int_256);
+    ASSERT_CONDITION_TRUE (model1, i, LT_EXPR, int_257);
+    ASSERT_EQ (model1.get_constraints ()->m_equiv_classes.length (), 2);
+    ASSERT_EQ (model1.get_constraints ()->m_constraints.length (), 1);
 
     // TODO:
     //ASSERT_EQ (model1, model0);
@@ -2917,25 +2856,25 @@ test_redundant_constraints ()
 
   {
     /* i <= 257 then i <= 256.  */
-    region_model2_manager mgr;
-    region_model2 model0 (&mgr);
+    region_model_manager mgr;
+    region_model model0 (&mgr);
     ADD_SAT_CONSTRAINT (model0, i, LE_EXPR, int_257);
     ADD_SAT_CONSTRAINT (model0, i, LE_EXPR, int_256);
-    ASSERT_CONDITION_TRUE2 (model0, i, LE_EXPR, int_256);
-    ASSERT_CONDITION_TRUE2 (model0, i, LE_EXPR, int_257);
+    ASSERT_CONDITION_TRUE (model0, i, LE_EXPR, int_256);
+    ASSERT_CONDITION_TRUE (model0, i, LE_EXPR, int_257);
     /* The older constraint was made redundant by the newer;
        it should have been removed.  */
-    //ASSERT_EQ (model0.get_constraints2 ()->m_constraints.length (), 1);
-    //ASSERT_EQ (model1.get_constraints2 ()->m_equiv_classes.length (), 2);
+    //ASSERT_EQ (model0.get_constraints ()->m_constraints.length (), 1);
+    //ASSERT_EQ (model1.get_constraints ()->m_equiv_classes.length (), 2);
 
     /* i <= 256 then i <= 257.  */
-    region_model2 model1 (&mgr);
+    region_model model1 (&mgr);
     ADD_SAT_CONSTRAINT (model1, i, LE_EXPR, int_256);
     ADD_SAT_CONSTRAINT (model1, i, LE_EXPR, int_257);
-    ASSERT_CONDITION_TRUE2 (model1, i, LE_EXPR, int_256);
-    ASSERT_CONDITION_TRUE2 (model1, i, LE_EXPR, int_257);
-    ASSERT_EQ (model1.get_constraints2 ()->m_equiv_classes.length (), 2);
-    ASSERT_EQ (model1.get_constraints2 ()->m_constraints.length (), 1);
+    ASSERT_CONDITION_TRUE (model1, i, LE_EXPR, int_256);
+    ASSERT_CONDITION_TRUE (model1, i, LE_EXPR, int_257);
+    ASSERT_EQ (model1.get_constraints ()->m_equiv_classes.length (), 2);
+    ASSERT_EQ (model1.get_constraints ()->m_constraints.length (), 1);
 
     // TODO:
     //ASSERT_EQ (model1, model0);
diff --git a/gcc/analyzer/constraint-manager.h b/gcc/analyzer/constraint-manager.h
index 8fae2b488b1..8d8ccf8baab 100644
--- a/gcc/analyzer/constraint-manager.h
+++ b/gcc/analyzer/constraint-manager.h
@@ -18,19 +18,19 @@ You should have received a copy of the GNU General Public License
 along with GCC; see the file COPYING3.  If not see
 <http://www.gnu.org/licenses/>.  */
 
-#ifndef GCC_ANALYZER_CONSTRAINT_MANAGER2_H
-#define GCC_ANALYZER_CONSTRAINT_MANAGER2_H
+#ifndef GCC_ANALYZER_CONSTRAINT_MANAGER_H
+#define GCC_ANALYZER_CONSTRAINT_MANAGER_H
 
 namespace ana {
 
-class constraint_manager2;
+class constraint_manager;
 
-/* One of the end-points of a range2.  */
+/* One of the end-points of a range.  */
 
-struct bound2
+struct bound
 {
-  bound2 () : m_constant (NULL_TREE), m_closed (false) {}
-  bound2 (tree constant, bool closed)
+  bound () : m_constant (NULL_TREE), m_closed (false) {}
+  bound (tree constant, bool closed)
   : m_constant (constant), m_closed (closed) {}
 
   void ensure_closed (bool is_upper);
@@ -44,10 +44,10 @@ struct bound2
 /* A range of values, used for determining if a value has been
    constrained to just one possible constant value.  */
 
-struct range2
+struct range
 {
-  range2 () : m_lower_bound (), m_upper_bound () {}
-  range2 (const bound2 &lower, const bound2 &upper)
+  range () : m_lower_bound (), m_upper_bound () {}
+  range (const bound &lower, const bound &upper)
   : m_lower_bound (lower), m_upper_bound (upper) {}
 
   void dump_to_pp (pretty_printer *pp) const;
@@ -60,29 +60,29 @@ struct range2
   bool below_lower_bound (tree rhs_const) const;
   bool above_upper_bound (tree rhs_const) const;
 
-  bound2 m_lower_bound;
-  bound2 m_upper_bound;
+  bound m_lower_bound;
+  bound m_upper_bound;
 };
 
 /* An equivalence class within a constraint manager: a set of
-   svalue_ids that are known to all be equal to each other,
+   svalues that are known to all be equal to each other,
    together with an optional tree constant that they are equal to.  */
 
-class equiv_class2
+class equiv_class
 {
 public:
-  equiv_class2 ();
-  equiv_class2 (const equiv_class2 &other);
+  equiv_class ();
+  equiv_class (const equiv_class &other);
 
   hashval_t hash () const;
-  bool operator== (const equiv_class2 &other);
+  bool operator== (const equiv_class &other);
 
-  void add (const svalue2 *sval);
-  bool del (const svalue2 *sval);
+  void add (const svalue *sval);
+  bool del (const svalue *sval);
 
   tree get_any_constant () const { return m_constant; }
 
-  const svalue2 *get_representative () const;
+  const svalue *get_representative () const;
 
   void canonicalize ();
 
@@ -92,52 +92,52 @@ public:
      different zeroes, for different types); these are just for the last
      constant added.  */
   tree m_constant;
-  const svalue2 *m_cst_sval;
+  const svalue *m_cst_sval;
 
   // TODO: should this be a set rather than a vec?
-  auto_vec<const svalue2 *> m_vars;
+  auto_vec<const svalue *> m_vars;
 };
 
 /* The various kinds of constraint.  */
 
-enum constraint2_op
+enum constraint_op
 {
-  CONSTRAINT2_NE,
-  CONSTRAINT2_LT,
-  CONSTRAINT2_LE
+  CONSTRAINT_NE,
+  CONSTRAINT_LT,
+  CONSTRAINT_LE
 };
 
-const char *constraint_op_code (enum constraint2_op c_op);
+const char *constraint_op_code (enum constraint_op c_op);
 
-/* An ID for an equiv_class2 within a constraint_manager2.  Internally, this
-   is an index into a vector of equiv_class2 * within the constraint_manager2.  */
+/* An ID for an equiv_class within a constraint_manager.  Internally, this
+   is an index into a vector of equiv_class * within the constraint_manager.  */
 
-class equiv_class2_id
+class equiv_class_id
 {
 public:
-  static equiv_class2_id null () { return equiv_class2_id (-1); }
+  static equiv_class_id null () { return equiv_class_id (-1); }
 
-  equiv_class2_id (unsigned idx) : m_idx (idx) {}
-  const equiv_class2 &get_obj (const constraint_manager2 &cm) const;
-  equiv_class2 &get_obj (constraint_manager2 &cm) const;
+  equiv_class_id (unsigned idx) : m_idx (idx) {}
+  const equiv_class &get_obj (const constraint_manager &cm) const;
+  equiv_class &get_obj (constraint_manager &cm) const;
 
-  bool operator== (const equiv_class2_id &other) const
+  bool operator== (const equiv_class_id &other) const
   {
     return m_idx == other.m_idx;
   }
-  bool operator!= (const equiv_class2_id &other) const
+  bool operator!= (const equiv_class_id &other) const
   {
     return m_idx != other.m_idx;
   }
 
   bool null_p () const { return m_idx == -1; }
 
-  static equiv_class2_id from_int (int idx) { return equiv_class2_id (idx); }
+  static equiv_class_id from_int (int idx) { return equiv_class_id (idx); }
   int as_int () const { return m_idx; }
 
   void print (pretty_printer *pp) const;
 
-  void update_for_removal (equiv_class2_id other)
+  void update_for_removal (equiv_class_id other)
   {
     if (m_idx > other.m_idx)
       m_idx--;
@@ -146,69 +146,69 @@ public:
   int m_idx;
 };
 
-/* A relationship between two equivalence classes in a constraint_manager2.  */
+/* A relationship between two equivalence classes in a constraint_manager.  */
 
-class constraint2
+class constraint
 {
  public:
-  constraint2 (equiv_class2_id lhs, enum constraint2_op c_op, equiv_class2_id rhs)
+  constraint (equiv_class_id lhs, enum constraint_op c_op, equiv_class_id rhs)
   : m_lhs (lhs), m_op (c_op), m_rhs (rhs)
   {
     gcc_assert (!lhs.null_p ());
     gcc_assert (!rhs.null_p ());
   }
 
-  void print (pretty_printer *pp, const constraint_manager2 &cm) const;
+  void print (pretty_printer *pp, const constraint_manager &cm) const;
 
   hashval_t hash () const;
-  bool operator== (const constraint2 &other) const;
+  bool operator== (const constraint &other) const;
 
   /* Is this an ordering, rather than a "!=".  */
   bool is_ordering_p () const
   {
-    return m_op != CONSTRAINT2_NE;
+    return m_op != CONSTRAINT_NE;
   }
 
-  bool implied_by (const constraint2 &other,
-		   const constraint_manager2 &cm) const;
+  bool implied_by (const constraint &other,
+		   const constraint_manager &cm) const;
 
-  equiv_class2_id m_lhs;
-  enum constraint2_op m_op;
-  equiv_class2_id m_rhs;
+  equiv_class_id m_lhs;
+  enum constraint_op m_op;
+  equiv_class_id m_rhs;
 };
 
-/* An abstract base class for use with constraint_manager2::for_each_fact.  */
+/* An abstract base class for use with constraint_manager::for_each_fact.  */
 
-class fact2_visitor
+class fact_visitor
 {
  public:
-  virtual ~fact2_visitor () {}
-  virtual void on_fact (const svalue2 *lhs,
+  virtual ~fact_visitor () {}
+  virtual void on_fact (const svalue *lhs,
 			enum tree_code,
-			const svalue2 *rhs) = 0;
+			const svalue *rhs) = 0;
 };
 
 /* A collection of equivalence classes and constraints on them.
 
-   Given N svalue2s, this can be thought of as representing a subset of
+   Given N svalues, this can be thought of as representing a subset of
    N-dimensional space.  When we call add_constraint,
    we are effectively taking an intersection with that constraint.  */
 
-class constraint_manager2
+class constraint_manager
 {
 public:
-  constraint_manager2 (region_model2_manager *mgr) : m_mgr (mgr) {}
-  constraint_manager2 (const constraint_manager2 &other);
-  virtual ~constraint_manager2 () {}
+  constraint_manager (region_model_manager *mgr) : m_mgr (mgr) {}
+  constraint_manager (const constraint_manager &other);
+  virtual ~constraint_manager () {}
 
 #if 0
-  virtual constraint_manager2 *clone (region_model2 *) const = 0;
+  virtual constraint_manager *clone (region_model *) const = 0;
 #endif
-  constraint_manager2& operator= (const constraint_manager2 &other);
+  constraint_manager& operator= (const constraint_manager &other);
 
   hashval_t hash () const;
-  bool operator== (const constraint_manager2 &other) const;
-  bool operator!= (const constraint_manager2 &other) const
+  bool operator== (const constraint_manager &other) const;
+  bool operator!= (const constraint_manager &other) const
   {
     return !(*this == other);
   }
@@ -218,80 +218,80 @@ public:
   void dump (FILE *fp) const;
   void dump () const;
 
-  const equiv_class2 &get_equiv_class2_by_index (unsigned idx) const
+  const equiv_class &get_equiv_class_by_index (unsigned idx) const
   {
     return *m_equiv_classes[idx];
   }
-  equiv_class2 &get_equiv_class2_by_index (unsigned idx)
+  equiv_class &get_equiv_class_by_index (unsigned idx)
   {
     return *m_equiv_classes[idx];
   }
 
-  equiv_class2 &get_equiv_class2 (const svalue2 *sval)
+  equiv_class &get_equiv_class (const svalue *sval)
   {
-    equiv_class2_id ec_id = get_or_add_equiv_class2 (sval);
+    equiv_class_id ec_id = get_or_add_equiv_class (sval);
     return ec_id.get_obj (*this);
   }
 
-  bool add_constraint (const svalue2 *lhs,
+  bool add_constraint (const svalue *lhs,
 		       enum tree_code op,
-		       const svalue2 *rhs);
+		       const svalue *rhs);
 
-  bool add_constraint (equiv_class2_id lhs_ec_id,
+  bool add_constraint (equiv_class_id lhs_ec_id,
 		       enum tree_code op,
-		       equiv_class2_id rhs_ec_id);
+		       equiv_class_id rhs_ec_id);
 
-  void add_unknown_constraint (equiv_class2_id lhs_ec_id,
+  void add_unknown_constraint (equiv_class_id lhs_ec_id,
 			       enum tree_code op,
-			       equiv_class2_id rhs_ec_id);
+			       equiv_class_id rhs_ec_id);
 
-  bool get_equiv_class2_by_svalue2 (const svalue2 *sval,
-				    equiv_class2_id *out) const;
-  equiv_class2_id get_or_add_equiv_class2 (const svalue2 *sval);
-  tristate eval_condition (equiv_class2_id lhs,
+  bool get_equiv_class_by_svalue (const svalue *sval,
+				    equiv_class_id *out) const;
+  equiv_class_id get_or_add_equiv_class (const svalue *sval);
+  tristate eval_condition (equiv_class_id lhs,
 			   enum tree_code op,
-			   equiv_class2_id rhs) const;
-  tristate eval_condition (equiv_class2_id lhs_ec,
+			   equiv_class_id rhs) const;
+  tristate eval_condition (equiv_class_id lhs_ec,
 			   enum tree_code op,
 			   tree rhs_const) const;
-  tristate eval_condition (const svalue2 *lhs,
+  tristate eval_condition (const svalue *lhs,
 			   enum tree_code op,
-			   const svalue2 *rhs) const;
-  range2 get_ec_bounds (equiv_class2_id ec_id) const;
+			   const svalue *rhs) const;
+  range get_ec_bounds (equiv_class_id ec_id) const;
 
   /* PurgeCriteria should have:
-     bool should_purge_p (const svalue2 *sval) const.  */
+     bool should_purge_p (const svalue *sval) const.  */
   template <typename PurgeCriteria>
-  void purge (const PurgeCriteria &p, purge_stats2 *stats);
+  void purge (const PurgeCriteria &p, purge_stats *stats);
 
-  void on_liveness_change (const hash_set<const svalue2 *> &live_svalues,
-			   const region_model2 *model);
+  void on_liveness_change (const hash_set<const svalue *> &live_svalues,
+			   const region_model *model);
 
   void canonicalize ();
 
-  static void merge (const constraint_manager2 &cm_a,
-		     const constraint_manager2 &cm_b,
-		     constraint_manager2 *out,
-		     const model2_merger &merger);
+  static void merge (const constraint_manager &cm_a,
+		     const constraint_manager &cm_b,
+		     constraint_manager *out,
+		     const model_merger &merger);
 
-  void for_each_fact (fact2_visitor *) const;
+  void for_each_fact (fact_visitor *) const;
 
   void validate () const;
 
-  auto_delete_vec<equiv_class2> m_equiv_classes;
-  auto_vec<constraint2> m_constraints;
+  auto_delete_vec<equiv_class> m_equiv_classes;
+  auto_vec<constraint> m_constraints;
 
  private:
-  static void clean_merger_input (const constraint_manager2 &cm_in,
-				  constraint_manager2 *out);
+  static void clean_merger_input (const constraint_manager &cm_in,
+				  constraint_manager *out);
 
-  void add_constraint_internal (equiv_class2_id lhs_id,
-				enum constraint2_op c_op,
-				equiv_class2_id rhs_id);
+  void add_constraint_internal (equiv_class_id lhs_id,
+				enum constraint_op c_op,
+				equiv_class_id rhs_id);
 
-  region_model2_manager *m_mgr;
+  region_model_manager *m_mgr;
 };
 
 } // namespace ana
 
-#endif /* GCC_ANALYZER_CONSTRAINT_MANAGER2_H */
+#endif /* GCC_ANALYZER_CONSTRAINT_MANAGER_H */
